/****************************************************************************\
*   __CONFIG - this header file is part of Binary vIEW project (BIEW)        *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   lib/sysdep/generic/__config.h                      *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file provide autoconfiguring project for any architecture.           *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/
#ifndef ____CONFIG_H
#define ____CONFIG_H

/*
   Project needs with following macros:
   __WORDSIZE (16, 32, 64 e.t.c)
   __BYTE_ORDER (__LITTLE_ENDIAN or __BIG_ENDIAN)
   __intXX_t family (like int8_t uint_least32_t e.t.c)
*/

#include <endian.h>
#include <stdint.h>

#endif
