/****************************************************************************\
*   BIN - this source file is part of Binary vIEW project (BIEW)             *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   plugins/bin/bin.c                                  *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file contain implementation of decoder for any not handled binary    *
* file format                                                                *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/
#include "reg_form.h"
#include "plugins/disasm.h"
#include <stddef.h>

static tBool  __FASTCALL__ bin_check_fmt( void ) { return True; }
static void __FASTCALL__ bin_init_fmt( void ) {}
static void __FASTCALL__ bin_destroy_fmt(void) {}
static int  __FASTCALL__ bin_platform( void) { return DISASM_DEFAULT; }

REGISTRY_BIN binTable =
{
  "Binary file",
  { NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL },
  { NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL },
  bin_check_fmt,
  bin_init_fmt,
  bin_destroy_fmt,
  NULL,
  NULL,
  NULL,
  bin_platform,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL,
  NULL
};


