/****************************************************************************\
*   KBD_CODE - this header file is part of Binary vIEW project (BIEW)        *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   kbd_code.h                                         *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file includes OS depended keyboard codes.                            *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/
#include "lib/biewlib.h"
#if __WORDSIZE == 16
 #if defined( __MSDOS__ ) || defined ( __OS2__ ) || defined ( __WINDOWS__ )
   #include "lib/sysdep/ia16/dos/kbd_code.h"
 #else
   #error Unknown operationg system for IA-16 architecture
 #endif
#else
  #define __OS_KEYBOARD <lib/sysdep/##__MACHINE__/##__OS__/kbd_code.h>
  #include __OS_KEYBOARD
#endif

