/****************************************************************************\
*   _INLINES - this header file is part of Binary vIEW project (BIEW)        *
*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*
*   Copyrights:           1995, 2000 Nick Kurshev                            *
*   License:              See below                                          *
*   Author and developer: Nick Kurshev                                       *
*   Requirement:          ANSI C compatible development system               *
*   Original file name:   lib/sysdep/generic/_inlines.h                      *
*---------------------- [ D e s c r i p t i o n ] ---------------------------*
*  This file includes 16-bit Intel architecure little inline functions.      *
*-------------------------- [ L i c e n c e ] -------------------------------*
* The Binary vIEW (BIEW) is copyright (C) 1995 Nick Kurshev.                 *
* All rights reserved. This software is redistributable under the licence    *
* given in the file "Licence.en" ("Licence.ru" in russian translation)       *
* distributed in the BIEW archive.                                           *
\****************************************************************************/
#ifndef ___INLINES_H
#define ___INLINES_H

#ifdef __clpusplus
extern "C" {
#endif

#define __NEAR__
#define __FAR__
#define __HUGE__
#define __INTERRUPT__
#define halloc malloc
#define hrealloc realloc
#define hfree free
#define HMemCpy memcpy

#define __FASTCALL__
#define __NORETURN__
#define __CONSTFUNC__

#define ByteSwapL(_val)\
  (((unsigned long)_val << 24) | (((unsigned long)_val & 0xFF00) << 8) |\
  (((unsigned long)_val & 0xFF0000L) >> 8) | ((unsigned long)_val >> 24))

#define ByteSwapS(_val)\
  (((unsigned short)_val << 8) | ((unsigned short)_val >> 8))

#define __Xlat__(t,i) (t[i])

#ifdef __cplusplus
}
#endif

#endif
